<template>
  <v-card>
    <v-row v-if="user">
      <v-col>
        <v-avatar
          class="user-avatar"
          size="10em"
        >
          <v-img :src="`https://www.gravatar.com/avatar/${user.id}?s=500`" />
        </v-avatar>
      </v-col>
    </v-row>
  </v-card>
</template>

<script lang="ts">
import Vue from 'vue'
import { fields } from '@/util/user-fields'

export default Vue.extend({
  name: 'personal-information-card',
  props: {
    user: { type: Object }
  },
  data () {
    return {
      fields
    }
  }
})
</script>

<style lang="scss" scoped>
.user-avatar {
  margin: 2em;
}
</style>
